Debian Security Advisory

DSA-4913-1 hivex -- security update

Date Reported:
10 May 2021
Affected Packages:
hivex
Vulnerable:
Yes
Security database references:
In the Debian bugtracking system: Bug 988024.
In Mitre's CVE dictionary: CVE-2021-3504.
More information:

Jeremy Galindo discovered an out-of-bounds memory access in Hivex, a library to parse Windows Registry hive files.

For the stable distribution (buster), this problem has been fixed in version 1.3.18-1+deb10u1.

We recommend that you upgrade your hivex packages.

For the detailed security status of hivex please refer to its security tracker page at: https://security-tracker.debian.org/tracker/hivex